/*
 * 			Combinations
 * 
 * 			Main.cpp
 * 
 * 							2005 by Harald Obermaier
 */
#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <SDL.h>

#ifdef WIN32
	#include "..\headers\Combinations.h"
#else
	#include "../headers/Combinations.h"
#endif


SDL_Surface *cones = NULL;	//Surface to hold data of the cones - bitmap
SDL_Surface *gui = NULL;    //Surface to hold data of the gui - bitmap
SDL_Surface *buffer = NULL; //Buffer surface
bool done = false;			// = false, if the game is still running


#ifndef WIN32
int main(int argc, char **argv)
#else
int APIENTRY WinMain (HINSTANCE hInst, HINSTANCE hPrev, LPSTR lpCmd, int nShow)
#endif
{
	//Load bitmaps
	cones = SDL_LoadBMP("gfx/cones.bmp");
	gui = SDL_LoadBMP("gfx/gui.bmp");
	//get rid of that ugly background ( RGB(255,0,255) )
	SDL_SetColorKey(cones,SDL_SRCCOLORKEY,SDL_MapRGB(cones->format, 255, 0, 255));
	SDL_SetColorKey(gui,SDL_SRCCOLORKEY,SDL_MapRGB(gui->format, 255, 0, 255));
	
	Combinations *Comb = new Combinations();	//Create a new instance of type Combinations -> our "World"
	Comb->NewGame();							//Do some initialization
	
	while(!done) //Main loop
	{
		Comb->Render();				//Render stuff
		if(Comb->Input() == -1)		//Process input
			done = true;			//User pressed key to exit game
	}
	
	SDL_Quit();
	return 1;
	
}
